<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Level\ChangeLevelDescription;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class ChangeLevelDescriptionCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly string $levelId,
        public readonly ?string $description = null,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new ChangeLevelDescriptionCommandValidator();
    }
}
