<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Level\ChangeLevelDescription;

use App\Context\Content\Domain\Model\Level\LevelDescription;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class ChangeLevelDescriptionCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('description', new ValueObjectRule(LevelDescription::class)),
        ];
    }
}
