<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Level\ChangeLevelTitle;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class ChangeLevelTitleCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly string $levelId,
        public readonly string $title,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new ChangeLevelTitleCommandValidator();
    }
}
