<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Level\CreateLevel;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class CreateLevelCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly string $title,
        public readonly string $slug,
        public readonly ?string $description = null,
        public readonly ?string $levelId = null,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new CreateLevelCommandValidator();
    }
}
