<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Level\CreateLevel;

use App\Context\Content\Domain\Model\Level\LevelDescription;
use App\Context\Content\Domain\Model\Level\LevelSlug;
use App\Context\Content\Domain\Model\Level\LevelTitle;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\RequiredRule;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class CreateLevelCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('title', new RequiredRule()),
            new PropertyRuleMap('title', new ValueObjectRule(LevelTitle::class)),

            new PropertyRuleMap('slug', new RequiredRule()),
            new PropertyRuleMap('slug', new ValueObjectRule(LevelSlug::class)),

            new PropertyRuleMap('description', new ValueObjectRule(LevelDescription::class)),
        ];
    }
}
