<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Member\RegisterMember;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class RegisterMemberCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $id,
        public readonly string $name,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new RegisterMemberCommandValidator();
    }
}
