<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Member\RegisterMember;

use App\Context\Content\Domain\Model\Member\MemberName;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\RequiredRule;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class RegisterMemberCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('name', new RequiredRule()),
            new PropertyRuleMap('name', new ValueObjectRule(MemberName::class)),
        ];
    }
}
