<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Question\ChangeQuestionDescription;

use App\Context\Content\Domain\Model\Question\QuestionDescription;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class ChangeQuestionDescriptionCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('description', new ValueObjectRule(QuestionDescription::class)),
        ];
    }
}
