<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Question\ChangeQuestionSlug;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class ChangeQuestionSlugCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly string $levelId,
        public readonly string $questionId,
        public readonly string $slug,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new ChangeQuestionSlugCommandValidator();
    }
}
