<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Question\ChangeQuestionSlug;

use App\Context\Content\Domain\Model\Question\QuestionSlug;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\RequiredRule;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class ChangeQuestionSlugCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('slug', new RequiredRule()),
            new PropertyRuleMap('slug', new ValueObjectRule(QuestionSlug::class)),
        ];
    }
}
