<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Question\ChangeQuestionTitle;

use App\Context\Content\Domain\Model\Question\QuestionTitle;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\RequiredRule;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class ChangeQuestionTitleCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('title', new RequiredRule()),
            new PropertyRuleMap('title', new ValueObjectRule(QuestionTitle::class)),
        ];
    }
}
