<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Question\CreateQuestion;

use App\Context\Content\Application\Command\Skill\CreateSkill\CreateSkillCommandValidator;
use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class CreateQuestionCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly string $levelId,
        public readonly string $title,
        public readonly string $slug,
        public readonly ?string $description = null,
        public readonly ?string $questionId = null,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new CreateSkillCommandValidator();
    }
}
