<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Question\CreateQuestion;

use App\Context\Content\Domain\Model\Question\QuestionDescription;
use App\Context\Content\Domain\Model\Question\QuestionSlug;
use App\Context\Content\Domain\Model\Question\QuestionTitle;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\RequiredRule;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class CreateQuestionCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('title', new RequiredRule()),
            new PropertyRuleMap('title', new ValueObjectRule(QuestionTitle::class)),

            new PropertyRuleMap('slug', new RequiredRule()),
            new PropertyRuleMap('slug', new ValueObjectRule(QuestionSlug::class)),

            new PropertyRuleMap('description', new ValueObjectRule(QuestionDescription::class)),
        ];
    }
}
