<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Command\Question\UpdateQuestion;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class UpdateQuestionCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly string $levelId,
        public readonly string $questionId,
        public readonly ?string $title = null,
        public readonly ?string $slug = null,
        public readonly ?string $description = null,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new UpdateQuestionCommandValidator();
    }
}
