<?php

namespace App\Context\Content\Application\Command\Skill\ChangeSkillDescription;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class ChangeSkillDescriptionCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly ?string $description = null,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new ChangeSkillDescriptionCommandValidator();
    }
}
