<?php

namespace App\Context\Content\Application\Command\Skill\ChangeSkillSlug;

use App\Context\Content\Domain\Model\Skill\SkillSlug;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\RequiredRule;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class ChangeSkillSlugCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('slug', new RequiredRule()),
            new PropertyRuleMap('slug', new ValueObjectRule(SkillSlug::class)),
        ];
    }
}
