<?php

namespace App\Context\Content\Application\Command\Skill\ChangeSkillTitle;

use App\Context\Content\Domain\Model\Skill\SkillTitle;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\RequiredRule;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class ChangeSkillTitleCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('title', new RequiredRule()),
            new PropertyRuleMap('title', new ValueObjectRule(SkillTitle::class)),
        ];
    }
}
