<?php

namespace App\Context\Content\Application\Command\Skill\PatchSkill;

use App\Context\Shared\Domain\Bus\Command\Command;
use App\Context\Shared\Domain\Bus\Command\CommandValidated;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;

class PatchSkillCommand implements Command, CommandValidated
{
    public function __construct(
        public readonly string $skillId,
        public readonly ?string $title,
        public readonly ?string $slug,
        public readonly ?string $description = null,
    ) {
    }

    public function validator(): CommandValidator
    {
        return new PatchSkillCommandValidator();
    }
}
