<?php

namespace App\Context\Content\Application\Command\Skill\PatchSkill;

use App\Context\Content\Domain\Model\Skill\SkillDescription;
use App\Context\Content\Domain\Model\Skill\SkillSlug;
use App\Context\Content\Domain\Model\Skill\SkillTitle;
use App\Context\Shared\Domain\Bus\Command\CommandValidator;
use App\Context\Shared\Domain\Bus\Validation\PropertyRuleMap;
use App\Context\Shared\Domain\Bus\Validation\Rule\ValueObjectRule;

class PatchSkillCommandValidator implements CommandValidator
{
    public function mapping(): array
    {
        return [
            new PropertyRuleMap('title', new ValueObjectRule(SkillTitle::class)),
            new PropertyRuleMap('slug', new ValueObjectRule(SkillSlug::class)),
            new PropertyRuleMap('description', new ValueObjectRule(SkillDescription::class)),
        ];
    }
}
