<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Process\Export\Content;

class ExportContentService
{
    public function __construct(
        private readonly SkillProvider $skillProvider,
        private readonly Exporter $exporter,
        private readonly ExportStore $store,
    ) {
    }

    public function run(): void
    {
        foreach ($this->skillProvider->get() as $skill) {
            $this->exporter->export($skill, $this->store);
        }
    }
}
