<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\Query\GetLevel;

use App\Context\Content\Application\Query\Level\ReadModel\LevelReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetLevelQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly LevelReadRepository $levelReadRepository,
    ) {
    }

    public function __invoke(GetLevelQuery $query): GetLevelQueryResponse
    {
        return new GetLevelQueryResponse(
            $this->levelReadRepository->byId($query->skillId, $query->levelId)
        );
    }
}
