<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\Query\GetLevelBySlug;

use App\Context\Content\Application\Query\Level\ReadModel\LevelReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetLevelBySlugQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly LevelReadRepository $levelReadRepository,
    ) {
    }

    public function __invoke(GetLevelBySlugQuery $query): GetLevelBySlugQueryResponse
    {
        return new GetLevelBySlugQueryResponse(
            $this->levelReadRepository->bySlug($query->skillSlug, $query->levelSlug)
        );
    }
}
