<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Level\Query\GetLevelModerators;

use App\Context\Content\Application\Query\Level\ReadModel\LevelModeratorsReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetLevelModeratorsQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly LevelModeratorsReadRepository $levelModeratorReadRepository,
    ) {
    }

    public function __invoke(GetLevelModeratorsQuery $query): GetLevelModeratorsQueryResponse
    {
        return new GetLevelModeratorsQueryResponse(
            $this->levelModeratorReadRepository->byId($query->skillId, $query->levelId)
        );
    }
}
