<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Member\Query\GetMember;

use App\Context\Content\Application\Query\Member\ReadModel\MemberReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetMemberQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly MemberReadRepository $memberReadRepository,
    ) {
    }

    public function __invoke(GetMemberQuery $query): GetMemberQueryResponse
    {
        return new GetMemberQueryResponse(
            $this->memberReadRepository->byId($query->memberId)
        );
    }
}
