<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Question\Query\GetQuestion;

use App\Context\Content\Application\Query\Question\ReadModel\QuestionReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetQuestionQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly QuestionReadRepository $questionReadRepository,
    ) {
    }

    public function __invoke(GetQuestionQuery $query): GetQuestionQueryResponse
    {
        return new GetQuestionQueryResponse(
            $this->questionReadRepository->byId($query->skillId, $query->levelId, $query->questionId)
        );
    }
}
