<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Question\Query\GetQuestionBySlug;

use App\Context\Content\Application\Query\Question\ReadModel\QuestionReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetQuestionBySlugQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly QuestionReadRepository $questionReadRepository,
    ) {
    }

    public function __invoke(GetQuestionBySlugQuery $query): GetQuestionBySlugQueryResponse
    {
        return new GetQuestionBySlugQueryResponse(
            $this->questionReadRepository->bySlug($query->skillSlug, $query->levelSlug, $query->questionSlug)
        );
    }
}
