<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Question\ReadModel;

use App\Context\Content\Domain\Model\Question\QuestionSlug;

class QuestionNotFoundBySlugException extends \Exception
{
    public function __construct(QuestionSlug $slug)
    {
        $message = sprintf(
            'Question with slug (%s) not found',
            $slug->value()
        );

        parent::__construct($message);
    }
}
