<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Question\ReadModel;

use App\Context\Shared\Domain\Criteria\Criteria;

interface QuestionReadRepository
{
    public function byId(string $skillId, string $levelId, string $questionId): QuestionReadModel;

    public function bySlug(string $skillSlug, string $levelSlug, string $questionSlug): QuestionReadModel;

    /**
     * @param ?Criteria $criteria
     *
     * @return QuestionReadModel[]
     */
    public function getList(?Criteria $criteria = null): array;
}
