<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetGeneralSkillPermissions;

use App\Context\Content\Domain\Model\Skill\Policy\SkillCreatePolicy;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetGeneralSkillPermissionsQueryHandler implements QueryHandler
{
    public function __construct(
        protected SkillCreatePolicy $policy
    ) {
    }

    public function __invoke(GetGeneralSkillPermissionsQuery $query): GetGeneralSkillPermissionsQueryResponse
    {
        return new GetGeneralSkillPermissionsQueryResponse(
            createSkill: $this->policy->generalCan(),
        );
    }
}
