<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetSkill;

use App\Context\Content\Application\Query\Skill\ReadModel\SkillReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetSkillQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly SkillReadRepository $skillReadRepository,
    ) {
    }

    public function __invoke(GetSkillQuery $query): GetSkillQueryResponse
    {
        return new GetSkillQueryResponse(
            $this->skillReadRepository->byId($query->skillId)
        );
    }
}
