<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetSkillBySlug;

use App\Context\Content\Application\Query\Skill\ReadModel\SkillReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetSkillBySlugQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly SkillReadRepository $skillReadRepository,
    ) {
    }

    public function __invoke(GetSkillBySlugQuery $query): GetSkillBySlugQueryResponse
    {
        return new GetSkillBySlugQueryResponse(
            $this->skillReadRepository->bySlug($query->skillSlug)
        );
    }
}
