<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetSkillList;

use App\Context\Content\Application\Query\Skill\ReadModel\SkillReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetSkillListQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly SkillReadRepository $skillReadRepository
    ) {
    }

    public function __invoke(GetSkillListQuery $query): GetSkillListQueryResponse
    {
        return new GetSkillListQueryResponse(
            $this->skillReadRepository->getList()
        );
    }
}
