<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\Query\GetSkillModerators;

use App\Context\Content\Application\Query\Skill\ReadModel\SkillModeratorsReadRepository;
use App\Context\Shared\Domain\Bus\Query\QueryHandler;

class GetSkillModeratorsQueryHandler implements QueryHandler
{
    public function __construct(
        private readonly SkillModeratorsReadRepository $skillModeratorReadRepository,
    ) {
    }

    public function __invoke(GetSkillModeratorsQuery $query): GetSkillModeratorsQueryResponse
    {
        return new GetSkillModeratorsQueryResponse(
            $this->skillModeratorReadRepository->byId($query->skillId)
        );
    }
}
