<?php

declare(strict_types=1);

namespace App\Context\Content\Application\Query\Skill\ReadModel;

use App\Context\Content\Domain\Model\Skill\SkillSlug;

class SkillNotFoundBySlugException extends \Exception
{
    public function __construct(SkillSlug $slug)
    {
        $message = sprintf(
            'Skill with slug (%s) not found',
            $slug->value()
        );

        parent::__construct($message);
    }
}
