<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Exception;

use App\Context\Content\Domain\Model\Level\LevelDescription;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class DescriptionEqualsCurrentException extends LevelException
{
    public function __construct(
        AggregateId $id,
        LevelDescription $title,
        ) {
        $message = sprintf(
            'Level (%s) description equals current %s',
            (string) $id,
            $title->value()
        );

        parent::__construct($id, $message);
    }
}
