<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Exception;

use App\Context\Shared\Domain\Aggregate\AggregateId;
use App\Context\Shared\Domain\Exception\AggregateException;

class LevelAlreadyRemoveException extends AggregateException
{
    public function __construct(
        AggregateId $id,
    ) {
        $message = sprintf(
            'Level (%s) already removed',
            (string) $id,
        );

        parent::__construct($id, $message);
    }
}
