<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Exception;

use App\Context\Content\Domain\Model\Member\MemberId;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class LevelModeratorAlreadyAssignedException extends LevelException
{
    public function __construct(
        AggregateId $id,
        MemberId $moderatorId,
    ) {
        $message = sprintf(
            'Level (%s) already assigned to current moderator (%s)',
            (string) $id,
            $moderatorId->value(),
        );

        parent::__construct($id, $message);
    }
}
