<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Exception;

use App\Context\Content\Domain\Model\Level\LevelSlug;
use App\Context\Shared\Domain\Exception\DomainException;

class LevelSlugAlreadyExist extends DomainException
{
    public function __construct(LevelSlug $slug)
    {
        $message = sprintf(
            'Level slug (%s) already exist',
            $slug->value()
        );

        parent::__construct($message);
    }
}
