<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Exception;

use App\Context\Content\Domain\Model\Level\LevelSlug;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class SlugEqualsCurrentException extends LevelException
{
    public function __construct(
        AggregateId $id,
        LevelSlug $slug,
    ) {
        $message = sprintf(
            'Level (%s) slug equals current %s',
            (string) $id,
            $slug->value()
        );

        parent::__construct($id, $message);
    }
}
