<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level\Exception;

use App\Context\Content\Domain\Model\Level\LevelTitle;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class TitleEqualsCurrentException extends LevelException
{
    public function __construct(
        AggregateId $id,
        LevelTitle $title,
        ) {
        $message = sprintf(
            'Level (%s) title equals current %s',
            (string) $id,
            $title->value()
        );

        parent::__construct($id, $message);
    }
}
