<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Level;

use App\Context\Content\Domain\Model\Level\Exception\LevelNotFoundException;
use App\Context\Content\Domain\Model\Skill\SkillId;

interface LevelRepositoryReader
{
    /**
     * @throws LevelNotFoundException
     */
    public function findById(LevelId $id): Level;

    public function getActiveById(SkillId $skillId, LevelId $levelId): Level;
}
