<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Member\Event;

use App\Context\Shared\Domain\Bus\Event\Event;

class MemberNameChanged extends Event
{
    public function __construct(
        string $aggregateId,
        public string $newName,
    ) {
        parent::__construct($aggregateId);
    }

    public static function eventName(): string
    {
        return 'content.member.update.name.changed';
    }
}
