<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Member\Exception;

use App\Context\Content\Domain\Model\Member\MemberName;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class NameEqualsCurrentException extends MemberException
{
    public function __construct(
        AggregateId $id,
        MemberName $name,
        ) {
        $message = sprintf(
            'Member (%s) name equals current %s',
            (string) $id,
            $name->value()
        );

        parent::__construct($id, $message);
    }
}
