<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question\Event;

use App\Context\Shared\Domain\Bus\Event\Event;

class QuestionCreated extends Event
{
    public function __construct(
        string $aggregateId,
        public readonly string $memberId,
        public readonly string $levelId,
        public readonly string $title,
        public readonly string $slug,
        public readonly string $description,
    ) {
        parent::__construct($aggregateId);
    }

    public static function eventName(): string
    {
        return 'content.question.created';
    }
}
