<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question\Exception;

use App\Context\Content\Domain\Model\Question\QuestionDescription;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class DescriptionEqualsCurrentException extends QuestionException
{
    public function __construct(
        AggregateId $id,
        QuestionDescription $title,
        ) {
        $message = sprintf(
            'Question (%s) description equals current %s',
            (string) $id,
            $title->value()
        );

        parent::__construct($id, $message);
    }
}
