<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question\Exception;

use App\Context\Content\Domain\Model\Question\QuestionSlug;
use App\Context\Shared\Domain\Exception\DomainException;

class QuestionSlugAlreadyExist extends DomainException
{
    public function __construct(QuestionSlug $slug)
    {
        $message = sprintf(
            'Question slug (%s) already exist',
            $slug->value()
        );

        parent::__construct($message);
    }
}
