<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question\Exception;

use App\Context\Content\Domain\Model\Question\QuestionSlug;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class SlugEqualsCurrentException extends QuestionException
{
    public function __construct(
        AggregateId $id,
        QuestionSlug $slug,
    ) {
        $message = sprintf(
            'Question (%s) slug equals current %s',
            (string) $id,
            $slug->value()
        );

        parent::__construct($id, $message);
    }
}
