<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Question;

use App\Context\Content\Domain\Model\Level\LevelId;
use App\Context\Content\Domain\Model\Question\Exception\QuestionNotFoundException;
use App\Context\Content\Domain\Model\Skill\SkillId;

interface QuestionRepositoryReader
{
    /**
     * @throws QuestionNotFoundException
     */
    public function findById(QuestionId $id): Question;

    public function getActiveById(SkillId $skillId, LevelId $levelId, QuestionId $questionId): Question;
}
