<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill\Exception;

use App\Context\Content\Domain\Model\Skill\SkillDescription;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class DescriptionEqualsCurrentException extends SkillException
{
    public function __construct(
        AggregateId $id,
        SkillDescription $title,
        ) {
        $message = sprintf(
            'Skill (%s) Description equals current %s',
            (string) $id,
            $title->value()
        );

        parent::__construct($id, $message);
    }
}
