<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill\Exception;

use App\Context\Content\Domain\Model\Member\MemberId;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class OwnerEqualsCurrentException extends SkillException
{
    public function __construct(
        AggregateId $id,
        MemberId $ownerId,
    ) {
        $message = sprintf(
            'Skill (%s) owner equals current %s',
            (string) $id,
            $ownerId->value()
        );

        parent::__construct($id, $message);
    }
}
