<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill\Exception;

use App\Context\Content\Domain\Model\Member\MemberId;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class SkillModeratorNotAssignedException extends SkillException
{
    public function __construct(
        AggregateId $id,
        MemberId $moderatorId,
    ) {
        $message = sprintf(
            'Moderator (%s) not assigned for current skill (%s)',
            $moderatorId->value(),
            (string) $id,
        );

        parent::__construct($id, $message);
    }
}
