<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill\Exception;

use App\Context\Content\Domain\Model\Skill\SkillSlug;
use App\Context\Shared\Domain\Exception\DomainException;

class SkillSlugAlreadyExist extends DomainException
{
    public function __construct(SkillSlug $slug)
    {
        $message = sprintf(
            'Skill slug (%s) already exist',
            $slug->value()
        );

        parent::__construct($message);
    }
}
