<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill\Exception;

use App\Context\Content\Domain\Model\Skill\SkillSlug;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class SlugEqualsCurrentException extends SkillException
{
    public function __construct(
        AggregateId $id,
        SkillSlug $slug,
    ) {
        $message = sprintf(
            'Skill (%s) slug equals current %s',
            (string) $id,
            $slug->value()
        );

        parent::__construct($id, $message);
    }
}
