<?php

declare(strict_types=1);

namespace App\Context\Content\Domain\Model\Skill\Exception;

use App\Context\Content\Domain\Model\Skill\SkillTitle;
use App\Context\Shared\Domain\Aggregate\AggregateId;

class TitleEqualsCurrentException extends SkillException
{
    public function __construct(
        AggregateId $id,
        SkillTitle $title,
        ) {
        $message = sprintf(
            'Skill (%s) Title equals current %s',
            (string) $id,
            $title->value()
        );

        parent::__construct($id, $message);
    }
}
