<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Export\Store;

use App\Context\Content\Application\Process\Export\Content\ExportStore;

final class FileStore implements ExportStore
{
    public function __construct(
        private readonly string $root
    ) {
    }

    public function store(string $filename, string $data): void
    {
        $filename = $this->root.'/'.$filename;
        $dirname = dirname($filename);
        if (false === is_dir($dirname)) {
            mkdir($dirname, 0755, true);
        }

        file_put_contents($filename, $data);
    }
}
