<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Import\GitImport;

use App\Context\Content\Application\Process\Import\Content\ImportService;
use Git\Git;

class GitImport
{
    public function __construct(
        protected readonly string $folder,
        protected readonly string $remote,
        protected readonly ImportService $importService
    ) {
    }

    public function import(): void
    {
        $git = Git::clone($this->folder, $this->remote);
        try {
            $this->importService->import();
        } finally {
            $git->rm();
        }
    }
}
