<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy;

use App\Context\Content\Domain\Model\Member\MemberId;
use App\Context\Shared\Domain\Policy\Performer;
use App\Context\Shared\Domain\Policy\Policy;

abstract class ContentPolicy implements Policy
{
    public function __construct(
        protected readonly Performer $performer
    ) {
    }

    public function performer(): Performer
    {
        return $this->performer;
    }

    protected function memberId(): MemberId
    {
        return new MemberId($this->performer->id());
    }
}
