<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Level;

use App\Context\Content\Domain\Model\Level\Policy\LevelCreatePolicy as ILevelCreatePolicy;
use App\Context\Content\Domain\Model\Skill\Policy\SkillEditPolicy;
use App\Context\Content\Domain\Model\Skill\SkillRepositoryReader;
use App\Context\Shared\Domain\Policy\Performer;

class LevelCreatePolicy extends LevelPolicy implements ILevelCreatePolicy
{
    public function __construct(
        Performer $performer,
        protected readonly SkillEditPolicy $policy,
        protected readonly SkillRepositoryReader $skillRepositoryReader
    ) {
        parent::__construct($performer);
    }

    public function can(object $object): bool
    {
        if (!parent::can($object)) {
            return false;
        }

        $skill = $this->skillRepositoryReader->findById($object->getSkillId());
        if (false === $this->policy->can($skill)) {
            return false;
        }

        return true;
    }
}
