<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Level;

use App\Context\Content\Domain\Model\Level\Policy\LevelRemovePolicy;
use App\Context\Content\Domain\Model\Level\Policy\LevelRestorePolicy as ILevelRestorePolicy;
use App\Context\Shared\Domain\Policy\Performer;

class LevelRestorePolicy extends LevelPolicy implements ILevelRestorePolicy
{
    public function __construct(
        Performer $performer,
        protected readonly LevelRemovePolicy $policy,
    ) {
        parent::__construct($performer);
    }

    public function can(object $object): bool
    {
        return $this->policy->can($object);
    }
}
