<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy;

use App\Context\Shared\Domain\Policy\Performer as IPerformer;
use Symfony\Bundle\SecurityBundle\Security;

class Performer implements IPerformer
{
    public function __construct(protected Security $security)
    {
    }

    public function id(): string
    {
        if ($user = $this->security->getUser()) {
            return $user->getUserIdentifier();
        }

        // TODO
        /**
         * Должна быть общее исключение для политик и access denied
         * Сейчас PolicyException обязательно должен принимать политику, поэтому
         * мы не можем использовать это исключение.
         *
         * Так же, мы до сюда не должны дойти, т.к. у нас не пропустит фреймворк до этого момента
         * пока не авторизован пользователь
         */
        throw new \RuntimeException();
    }

    public function roles(): array
    {
        if ($user = $this->security->getUser()) {
            return $user->getRoles();
        }

        return [];
    }
}
