<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Question;

use App\Context\Content\Domain\Model\Level\LevelRepositoryReader;
use App\Context\Content\Domain\Model\Level\Policy\LevelEditPolicy;
use App\Context\Content\Domain\Model\Question\Policy\QuestionEditPolicy as IQuestionEditPolicy;
use App\Context\Shared\Domain\Policy\Performer;

class QuestionEditPolicy extends QuestionPolicy implements IQuestionEditPolicy
{
    public function __construct(
        Performer $performer,
        protected readonly LevelEditPolicy $policy,
        protected readonly LevelRepositoryReader $levelRepositoryReader
    ) {
        parent::__construct($performer);
    }

    public function can(object $object): bool
    {
        if (!parent::can($object)) {
            return false;
        }

        $level = $this->levelRepositoryReader->findById($object->getLevelId());
        if (false === $this->policy->can($level)) {
            return false;
        }

        return true;
    }
}
