<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Question;

use App\Context\Content\Domain\Model\Question\Policy\QuestionRemovePolicy;
use App\Context\Content\Domain\Model\Question\Policy\QuestionRestorePolicy as IQuestionRestorePolicy;
use App\Context\Shared\Domain\Policy\Performer;

class QuestionRestorePolicy extends QuestionPolicy implements IQuestionRestorePolicy
{
    public function __construct(
        Performer $performer,
        protected readonly QuestionRemovePolicy $policy,
    ) {
        parent::__construct($performer);
    }

    public function can(object $object): bool
    {
        return $this->policy->can($object);
    }
}
