<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Skill;

use App\Context\Content\Domain\Model\Skill\Policy\SkillCreatePolicy as ISkillCreatePolicy;
use App\Context\Content\Domain\Policy\ContentGeneralRoles;

class SkillCreatePolicy extends SkillPolicy implements ISkillCreatePolicy
{
    public function can(object $object): bool
    {
        if (!parent::can($object)) {
            return false;
        }

        return $this->generalCan();
    }

    public function generalCan(): bool
    {
        foreach ($this->performer->roles() as $role) {
            if ($role === ContentGeneralRoles::CREATE_SKILL->value
                || $role === ContentGeneralRoles::MANAGE_SKILL->value) {
                return true;
            }
        }

        return false;
    }
}
