<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Skill;

use App\Context\Content\Domain\Model\Skill\Policy\SkillEditPolicy as ISkillEditPolicy;
use App\Context\Content\Domain\Policy\ContentGeneralRoles;

class SkillEditPolicy extends SkillPolicy implements ISkillEditPolicy
{
    public function can(object $object): bool
    {
        if (!parent::can($object)) {
            return false;
        }

        if (in_array(ContentGeneralRoles::MANAGE_SKILL->value, $this->performer->roles())) {
            return true;
        }

        return $object->assertIsOwner($this->memberId()) || $object->assertIsModerator($this->memberId());
    }
}
