<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Policy\Skill;

use App\Context\Content\Domain\Model\Skill\Policy\SkillRemovePolicy;
use App\Context\Content\Domain\Model\Skill\Policy\SkillRestorePolicy as ISkillRestorePolicy;
use App\Context\Shared\Domain\Policy\Performer;

class SkillRestorePolicy extends SkillPolicy implements ISkillRestorePolicy
{
    public function __construct(
        Performer $performer,
        private readonly SkillRemovePolicy $skillRemovePolicy,
    ) {
        parent::__construct($performer);
    }

    public function can(object $object): bool
    {
        return $this->skillRemovePolicy->can($object);
    }
}
