<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Level\Doctrine\Repository;

use App\Context\Content\Domain\Model\Level\Level;
use App\Context\Content\Domain\Model\Level\LevelId;
use App\Context\Shared\Infrastructure\Doctrine\DoctrineRepository;

class DoctrineLevelRepository extends DoctrineRepository
{
    public function getEntityName(): string
    {
        return Level::class;
    }

    public function save(Level $level): void
    {
        $this->persist($level);
    }

    public function find(LevelId $id): ?Level
    {
        $level = $this->repository()->find($id);
        if ($level instanceof Level) {
            return $level;
        }

        return null;
    }

    public function remove(LevelId $id): void
    {
        // TODO: Implement remove() method.
    }
}
