<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Level\Persistence;

use App\Context\Content\Domain\Model\Level\Level;
use App\Context\Content\Domain\Model\Level\LevelId;
use App\Context\Content\Domain\Model\Level\LevelRepositoryPersistence;

abstract class LevelRepositoryDecorator implements LevelRepositoryPersistence
{
    public function __construct(
        private readonly LevelRepositoryPersistence $repository
    ) {
    }

    public function persist(Level $level): void
    {
        $this->repository->persist($level);
    }

    public function remove(LevelId $id): void
    {
        $this->repository->remove($id);
    }
}
