<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Level\Persistence;

use App\Context\Content\Domain\Model\Level\Level;
use App\Context\Content\Domain\Model\Level\LevelRepositoryPersistence;
use App\Context\Shared\Domain\Bus\Event\EventStore;

class LevelRepositoryDecoratorEventProcessing extends LevelRepositoryDecorator implements LevelRepositoryPersistence
{
    public function __construct(
        LevelRepositoryPersistence $repository,
        private readonly EventStore $eventStore
    ) {
        parent::__construct($repository);
    }

    public function persist(Level $level): void
    {
        parent::persist($level);
        $event = $level->pullEvents();
        $this->eventStore->append($event);
    }
}
