<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Member\Doctrine\Mapping;

use App\Context\Content\Domain\Model\Member\MemberId;
use App\Context\Shared\Infrastructure\Doctrine\Types\ArrayObjectType;
use Doctrine\DBAL\Platforms\AbstractPlatform;

final class MemberIdListType extends ArrayObjectType
{
    public function getTypeName(): string
    {
        return 'member_list';
    }

    public function getValueObjectClass(): string
    {
        return MemberId::class;
    }

    public function convertToPHPValue($value, AbstractPlatform $platform): ?array
    {
        $result = parent::convertToPHPValue($value, $platform);
        if (is_null($result)) {
            return [];
        }

        return $result;
    }
}
