<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Member\Doctrine\Mapping;

use App\Context\Content\Domain\Model\Member\MemberId;
use App\Context\Shared\Infrastructure\Doctrine\Types\UuidType;

final class MemberIdType extends UuidType
{
    public function getTypeName(): string
    {
        return 'member_id';
    }

    public function getValueObjectClass(): string
    {
        return MemberId::class;
    }
}
