<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Member\Doctrine\Repository;

use App\Context\Content\Domain\Model\Member\Member;
use App\Context\Content\Domain\Model\Member\MemberId;
use App\Context\Shared\Infrastructure\Persistence\Doctrine\DoctrinePersistenceRepository;

class DoctrineMemberRepository extends DoctrinePersistenceRepository
{
    public function getEntityName(): string
    {
        return Member::class;
    }

    public function save(Member $member): void
    {
        $this->persist($member);
    }

    public function find(MemberId $memberId): ?Member
    {
        $member = $this->repository()->find($memberId);
        if ($member instanceof Member) {
            return $member;
        }

        return null;
    }

    public function delete(Member $member): void
    {
        $this->remove($member);
    }
}
