<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Member\Persistence;

use App\Context\Content\Domain\Model\Member\Member;
use App\Context\Content\Domain\Model\Member\MemberId;
use App\Context\Content\Domain\Model\Member\MemberRepositoryPersistence;

abstract class MemberRepositoryDecorator implements MemberRepositoryPersistence
{
    public function __construct(
        private readonly MemberRepositoryPersistence $repository
    ) {
    }

    public function persist(Member $member): void
    {
        $this->repository->persist($member);
    }

    public function remove(MemberId $memberId): void
    {
        $this->repository->remove($memberId);
    }
}
