<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Member\Persistence;

use App\Context\Content\Domain\Model\Member\Member;
use App\Context\Content\Domain\Model\Member\MemberRepositoryPersistence;
use App\Context\Shared\Domain\Bus\Event\EventStore;

class MemberRepositoryDecoratorEventProcessing extends MemberRepositoryDecorator implements MemberRepositoryPersistence
{
    public function __construct(
        MemberRepositoryPersistence $repository,
        private readonly EventStore $eventStore
    ) {
        parent::__construct($repository);
    }

    public function persist(Member $member): void
    {
        parent::persist($member);
        $event = $member->pullEvents();
        $this->eventStore->append($event);
    }
}
