<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Question\Doctrine\Repository;

use App\Context\Content\Domain\Model\Question\Question;
use App\Context\Content\Domain\Model\Question\QuestionId;
use App\Context\Shared\Infrastructure\Doctrine\DoctrineRepository;

class DoctrineQuestionRepository extends DoctrineRepository
{
    public function getEntityName(): string
    {
        return Question::class;
    }

    public function save(Question $question): void
    {
        $this->persist($question);
    }

    public function find(QuestionId $id): ?Question
    {
        $question = $this->repository()->find($id);
        if ($question instanceof Question) {
            return $question;
        }

        return null;
    }

    public function remove(QuestionId $id): void
    {
        // TODO: Implement remove() method.
    }
}
