<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Question\Persistence;

use App\Context\Content\Domain\Model\Question\Question;
use App\Context\Content\Domain\Model\Question\QuestionId;
use App\Context\Content\Domain\Model\Question\QuestionRepositoryPersistence;

abstract class QuestionRepositoryDecorator implements QuestionRepositoryPersistence
{
    public function __construct(
        private readonly QuestionRepositoryPersistence $repository
    ) {
    }

    public function persist(Question $question): void
    {
        $this->repository->persist($question);
    }

    public function remove(QuestionId $id): void
    {
        $this->repository->remove($id);
    }
}
