<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Question\Persistence;

use App\Context\Content\Domain\Model\Question\Question;
use App\Context\Content\Domain\Model\Question\QuestionRepositoryPersistence;
use App\Context\Shared\Domain\Bus\Event\EventStore;

class QuestionRepositoryDecoratorEventProcessing extends QuestionRepositoryDecorator implements QuestionRepositoryPersistence
{
    public function __construct(
        QuestionRepositoryPersistence $repository,
        private readonly EventStore $eventStore
    ) {
        parent::__construct($repository);
    }

    public function persist(Question $question): void
    {
        parent::persist($question);
        $event = $question->pullEvents();
        $this->eventStore->append($event);
    }
}
