<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Skill\Doctrine\Repository;

use App\Context\Content\Domain\Model\Skill\Skill;
use App\Context\Content\Domain\Model\Skill\SkillId;
use App\Context\Shared\Infrastructure\Doctrine\DoctrineRepository;

class DoctrineSkillRepository extends DoctrineRepository
{
    public function getEntityName(): string
    {
        return Skill::class;
    }

    public function save(Skill $skill): void
    {
        $this->persist($skill);
    }

    public function find(SkillId $id): ?Skill
    {
        $skill = $this->repository()->find($id);
        if ($skill instanceof Skill) {
            return $skill;
        }

        return null;
    }

    public function remove(SkillId $id): void
    {
        // TODO: Implement remove() method.
    }
}
