<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Skill\Persistence;

use App\Context\Content\Domain\Model\Skill\Skill;
use App\Context\Content\Domain\Model\Skill\SkillId;
use App\Context\Content\Domain\Model\Skill\SkillRepositoryPersistence;

abstract class SkillRepositoryDecorator implements SkillRepositoryPersistence
{
    public function __construct(
        private readonly SkillRepositoryPersistence $repository
    ) {
    }

    public function persist(Skill $skill): void
    {
        $this->repository->persist($skill);
    }

    public function remove(SkillId $id): void
    {
        $this->repository->remove($id);
    }
}
