<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Repository\Domain\Skill\Persistence;

use App\Context\Content\Domain\Model\Skill\Skill;
use App\Context\Content\Domain\Model\Skill\SkillRepositoryPersistence;
use App\Context\Shared\Domain\Bus\Event\EventStore;

class SkillRepositoryDecoratorEventProcessing extends SkillRepositoryDecorator implements SkillRepositoryPersistence
{
    public function __construct(
        SkillRepositoryPersistence $repository,
        private readonly EventStore $eventStore
    ) {
        parent::__construct($repository);
    }

    public function persist(Skill $skill): void
    {
        parent::persist($skill);
        $event = $skill->pullEvents();
        $this->eventStore->append($event);
    }
}
