<?php

declare(strict_types=1);

namespace App\Context\Content\Infrastructure\Specification\Skill;

use App\Context\Content\Domain\Model\Skill\Specification\SkillSlugUniqueSpec as ISkillSlugUniqueSpec;
use Doctrine\DBAL\Query\QueryBuilder;
use Doctrine\ORM\EntityManagerInterface;

class SkillSlugUniqueSpec implements ISkillSlugUniqueSpec
{
    public function __construct(
        private readonly EntityManagerInterface $em
    ) {
    }

    public function isSatisfiedBy(object $by): bool
    {
        $qb = new QueryBuilder($this->em->getConnection());
        /** @var false|string $skill */
        $skill = $qb->from('skill', 's')
            ->select('s.id')
            ->where('s.slug = :slug')
            ->setParameter('slug', (string) $by)
            ->setMaxResults(1)
            ->fetchOne();

        if (empty($skill)) {
            return true;
        }

        return false;
    }
}
